package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class LeacbsVo extends AbstractCommonVo {

    private CbbVo max;

    private CbbVo nom1;

    private CbbVo opn1;

    private CbbVo max2;

    private CbbVo opn2;

    private CbbVo cnf;

    @Override
    public void reset() {
        if (max == null) {
            max = new CbbVo();
        }
        if (nom1 == null) {
            nom1 = new CbbVo();
        }
        if (opn1 == null) {
            opn1 = new CbbVo();
        }
        if (max2 == null) {
            max2 = new CbbVo();
        }
        if (opn2 == null) {
            opn2 = new CbbVo();
        }
        if (cnf == null) {
            cnf = new CbbVo();
        }
    }
}
